<!DOCTYPE html>
<html lang="hr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox Kartice</title>
    <style>
        body {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
        }

        .card-container {
            display: flex;
            flex-wrap: wrap;
            gap: 20px;
        }

        .card {
            width: 200px;
            height: 300px;
            border: 1px solid #ccc;
            border-radius: 10px;
            overflow: hidden;
        }

        .card-front,
        .card-back {
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            backface-visibility: hidden;
            transition: transform 0.6s;
        }

        .card-front {
            background-color: #f9f9f9;
        }

        .card-back {
            display:none;
            background-color: #4CAF50;
            color: white;
            transform: rotateY(180deg);
        }

        .card-front:hover .card-back{
            display:flex;
        }

        .folder-icon {
            font-size: 40px;
        }
    </style>
</head>

<body>
    <div class="card-container">
        <div class="card">
            <div class="card-back">
                <i class="folder-icon">📁</i>
                <!-- Možete dodati dodatni sadržaj ovdje -->
            </div>
            <div class="card-front">
                <p>Osnovne Informacije</p>
            </div>
            
        </div>
        <!-- Dodajte više kartica ako je potrebno -->
    </div>
</body>

</html>